Page MenuHomePhabricator

yamlify TestMiniDumpUUID binaries
ClosedPublic

Authored by labath on Apr 21 2019, 6:15 AM.

Details

Summary

Instead of checking in raw minidump binaries, check in their yaml form,
and call yaml2obj in the test.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

labath created this revision.Apr 21 2019, 6:15 AM
labath marked an inline comment as done.Apr 21 2019, 6:17 AM
labath added inline comments.
packages/Python/lldbsuite/test/functionalities/postmortem/minidump-new/linux-arm-zero-uuids.yaml
6

@clayborg: The OS in this minidump is inconsistent with the file name. Do you want me to rename the file, or change the OS in the minidump?

clayborg accepted this revision.Apr 22 2019, 7:13 AM
clayborg added inline comments.
packages/Python/lldbsuite/test/functionalities/postmortem/minidump-new/linux-arm-zero-uuids.yaml
6

Lets change the OS

This revision is now accepted and ready to land.Apr 22 2019, 7:13 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 23 2019, 1:47 AM
Herald added a subscriber: abidh. · View Herald Transcript